cmdargs

System.Console.CmdArgs.Test.Implicit.HLint

# Documentation

data HLint

Constructors

HLint |

Fields

report :: [FilePath]
hint :: [FilePath]
color :: Bool
ignore_ :: [String]
show_ :: Bool
extension :: [String]
language :: [String]
utf8 :: Bool
encoding :: String
find :: [FilePath]
test_ :: Bool
datadir :: [FilePath]
cpp_define :: [String]
cpp_include :: [FilePath]
files :: [FilePath]

Instances

Eq HLint |
Data HLint |
Show HLint |
Typeable HLint |